Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.build
Class ViewLatestBuild

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.webwork.AbstractAction
                  com.atlassian.bamboo.build.AbstractBuildAction
                      com.atlassian.bamboo.build.BuildResultsAction
                          com.atlassian.bamboo.build.ViewBuildResults
                              com.atlassian.bamboo.build.ViewLatestBuild

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, BuildAware, BuildResultsAware, ReturnUrlAware

    public class ViewLatestBuild

extends ViewBuildResults

Provides quick way to display the latest build results. This can be used, RESTfully to by external apps to link to the latest build page.

Field Summary
`static String` | `NO_BUILDS`
`static String` | `REDIRECT`

Fields inherited from class com.atlassian.bamboo.build.BuildResultsAction
`buildNumber, buildResults, buildResultsSummaryManager, decorator, extendedAuthorManager, testResultManager`

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`ViewLatestBuild()`

Method Summary
`String` | `doExecute()` Places the current user on the page

Methods inherited from class com.atlassian.bamboo.build.ViewBuildResults
`getArtifactLinks, getBuildStatusHelper`

Methods inherited from class com.atlassian.bamboo.build.BuildResultsAction
`errorMessage, getBuildNumber, getBuildResults, getBuildResultsFromContainer, getExtendedAuthorManager, getFailingSinceForTest, getFailingSinceRelativeTime, getFailingSinceRelativeTime, getNeighbouringSummaries, getPluginManager, getPluginMenuItems, getResponsibleAuthorExistingFailures, getSuccessfulTests, getTestResultManager, isSortByDuration, setBuildNumber, setBuildResults, setBuildResultsSummaryManager, setExtendedAuthorManager, setPluginManager, setSortByDuration, setTestResultManager`

Methods inherited from class com.atlassian.bamboo.build.AbstractBuildAction
`getBuild, getBuildKey, getBuildName, getCurrentlyRunningBuild, setBuild, setBuildKey, setBuildName`

Methods inherited from class com.atlassian.bamboo.webwork.AbstractAction
`addFormErrors, doDefault, execute, getAction, getAdministrationConfiguration, getBamboo, getBaseUrl, setAdministrationConfiguration, validate`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Field Detail

### NO_BUILDS

    public static final String NO_BUILDS

See Also:
  Constant Field Values

### REDIRECT

    public static final String REDIRECT

See Also:
  Constant Field Values

Constructor Detail

### ViewLatestBuild

    public ViewLatestBuild()

Method Detail

### doExecute

    public String doExecute()
                     throws Exception

  Description copied from class: `AbstractAction`
  Places the current user on the page

  Overrides:
    `doExecute` in class `ViewBuildResults`
  Returns:
    webwork success status
  Throws:
    `Exception` - something nasty went wrong

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.